Subject: Re: [RRG] new draft on " A Taxonomy for New Routing and Addressing Architectu...

From: [email-masked]
Date: Tue, 1 Apr 2008 10:47:51 EDT

What is a topologically aggregatable address ? Or better asked, is the TAA  a 
topologically aggregatable address?
E.164 telephone numbers are topologically aggregatable addresses. Indeed,  in 
former days the mapping was done mechanically. Each digit selected the next  
link mechanically, even before the over-next digit was dialed. In West-Germany 
 leading digit "3" was reserved for the eastern part for 45 years 
anticipating  the reunion. So there is a real relationship between number and  
route/location.
 
I have my doubts wrt. TAA. Aren't TAAs just aggregatable addresses, ie.  AAs? 
 I thought IP addresses  do not contain any topology  information, no matter 
whether they are aggregatable or not.
 
Quote from the draft: This terminology is chosen to avoid   confusion.
 
Heiner

---

From: <[email-masked]>
Date: Tue, 1 Apr 2008 16:04:52 +0100

IP topology does not equal geographical topology?

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
	Sent: 01 April 2008 15:48
	To: [email-masked]
	Subject: Re: [RRG] new draft on " A Taxonomy for New Routing and
Addressing Architectu...

	What is a topologically aggregatable address ? Or better asked,
is the TAA a topologically aggregatable address?
	E.164 telephone numbers are topologically aggregatable
addresses. Indeed, in former days the mapping was done mechanically.
Each digit selected the next link mechanically, even before the
over-next digit was dialed. In West-Germany leading digit "3" was
reserved for the eastern part for 45 years anticipating the reunion. So
there is a real relationship between number and route/location.
	 
	I have my doubts wrt. TAA. Aren't TAAs just aggregatable
addresses, ie. AAs?  I thought IP addresses  do not contain any topology
information, no matter whether they are aggregatable or not.
	 
	Quote from the draft: This terminology is chosen to avoid
confusion.
	 
	Heiner

---

From: Lixia Zhang <[email-masked]>
Date: Mon, 14 Apr 2008 10:23:55 -0700

Heiner,

sorry for this belated reply.

On Apr 1, 2008, at 7:47 AM, [email-masked] wrote:
> What is a topologically aggregatable address ? Or better asked, is  
> the TAA a topologically aggregatable address?

yes
TAA = Topologically Aggregatable Address

> E.164 telephone numbers are topologically aggregatable addresses.  
> Indeed, in former days the mapping was done mechanically. Each digit  
> selected the next link mechanically, even before the over-next digit  
> was dialed. In West-Germany leading digit "3" was reserved for the  
> eastern part for 45 years anticipating the reunion. So there is a  
> real relationship between number and route/location.
>
> I have my doubts wrt. TAA. Aren't TAAs just aggregatable addresses,  
> ie. AAs?  I thought IP addresses  do not contain any topology  

thanks for the feedback. We are in the process of refining the  
terminology.  It is really important to get this right, to be able to  
carry out meaningful design discussions.

It looks to me the above confusion seems coming from not defining  
"topology" first.
What we mean by topology is Internet topology (not geographic  
topology), i.e. the ISP AS interconnectivity.

TAAs are addresses that can be aggregated on a per ISP AS basis, i.e.  
it would be possible to aggregate all the prefixes belonging to one  
ISP AS to one routing entry, without losing reachability.
- so TAAs are never assigned to edge users.
- This definition by no means implies that the TAA would contain
   no bits that hint geo location of a prefix; rather it only requires
   that the *highest order bits* identify ISP ASes.

Of course each AS is not necessarily limited to announce only one  
prefix; the normal policy/TE practices can perform, within the  
constraint of routing scaling.

Lixia

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg

---

From: [email-masked]
Date: Tue, 15 Apr 2008 05:45:33 EDT

In einer eMail vom 14.04.2008 19:26:26 Westeuropäische Normalzeit schreibt  
[email-masked]:

The German E.164 telephone numbers are NETWORK TOPOLOGICAL as the  
digit-to-link mapping was even done mechanically (formerly). Yes, it was up  to human 
planning, that neighboring digit values was chosen for neighboring  geographical 
areas. And yes, there are violations to the initial configuration  from which 
we can learn: The area/city codes for Munich and Frankfurt once were  811 
resp. 611. They changed to 89 resp. 69 as to yield one digit to the user  number 
(enforced by the growth of both cities' populations).
 
Will say: E.164 isn't any better. It is also complying with "addresses may  
follow topology"
Address aggregation is  cumbersome, it is subject for change, and also  there 
are a lot of addresses which do not fit for aggregation. Also, AS  numbers 
can't be aggregated either,right?!
 
But :"Topology may also follow addressing" which is clearly the better  
choice.
 
Heiner

---

From: Lixia Zhang <[email-masked]>
Date: Tue, 15 Apr 2008 22:35:09 -0700

On Apr 15, 2008, at 2:45 AM, [email-masked] wrote:
> In einer eMail vom 14.04.2008 19:26:26 Westeuropäische Normalzeit  
> schreibt [email-masked]:
>
> digit-to-link mapping was even done mechanically (formerly). Yes, it  
> was up to human planning, that neighboring digit values was chosen  
> for neighboring geographical areas. And yes, there are violations to  
> the initial configuration from which we can learn: The area/city  
> codes for Munich and Frankfurt once were 811 resp. 611. They changed  
> to 89 resp. 69 as to yield one digit to the user number (enforced by  
> the growth of both cities' populations).
>
> Will say: E.164 isn't any better. It is also complying with  
> "addresses may follow topology"

thanks for the above information.

> Address aggregation is  cumbersome, it is subject for change, and  
> also there are a lot of addresses which do not fit for aggregation.  
> Also, AS numbers can't be aggregated either,right?!

good questions. Here's my thought:

1/ (since we don't have new terminology ready yet, please allow me to  
use the ones from the taxonomy draft here) the purpose of sorting out  
TAAs and TIAs is to reduce the factors that easily break TAA  
aggregation.
e.g. if user sites are outside TAAs, then their multihoming would not  
affect TAA's aggregation.
2/ you are right that AS numbers do not aggregate. Based on our  
current data and current understanding, the number of ISP ASes does  
not seem causing scalability concerns.  It is true that the number of  
ASes in the global routing system has been increasing (rapidly), by  
and large the growth is from user site ASes.

> But :"Topology may also follow addressing" which is clearly the  
> better choice.
>
> Heiner

To help me understand what you meant by the above: would you consider  
metro-based addressing as an example of "Topology may also follow  
addressing" ?

If that is the case, I wonder what's your consideration that leads to  
the above conclusion (but lets take this specific discussion off RRG)

Lixia